Summary:        Ted, an easy Rich Text Processor
Name:           ted
Version:        2.17
Release:        %mkrel 5
License:	GPL
Group:          Office
Source:         ftp://ftp.nluug.nl/pub/editors/ted/%{name}-%{version}.src.tar.bz2
Source10:	%name-16.png
Source11:	%name-32.png
Source12:	%name-48.png
URL:            http://www.nllgg.nl/Ted/index.html
BuildRoot:	%_tmppath/%name-root
BuildRequires:  lesstif-devel
BuildRequires:  libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	png-devel
BuildRequires:	X11-devel

Summary(cs_CZ):	Ted, editor pro snadn formtovan textu.
Summary(nl_NL):	Ted, een makkelijke 'Rich Text' verwerker

%description
Ted is an easy rich text processor. It can edit RTF files
in a wysiwyg manner. It supports multiple fonts and can
print to PostScript printers.

Ted consists of a general part: The program, something.afm files
and an American spelling checker. Additional packages with
spell checking dictionaries for different languages exist.

This package is the general part.

%description -l cs_CZ
Ted je jednoduch textov procesor.
Umouje editovat RTF soubory WYSIWYG zpsobem. Podporuje pouit
vce font a tisk na PostScriptov tiskrny.

Ted obsahuje v zkladn sti: program, pr .afm soubor a americk
korektor peklep. Existuj i dal balky obsahujc slovnky
pro korekturu peklep jinch jazyk.

Toto je zkladn st.

%description -l nl_NL
Ted is een makkelijke 'Rich Text' verwerker. Je kan er RTF bestanden
op een visuele manier mee redigeren. Ted werkt met meedere lettertypes
en kan op PostScript printers afdrukken.

Ted bestaat uit een algemeen gedeelte: Het programma, allerlei.afm
bestanden en een Amerikaanse spellingwoordenlijst. Extra pakketten
met spellingwoordenlijsten voor andere talen zijn beschikbaar.

Dit pakket is het algemene gedeelte.

%prep
%setup -q -n Ted-%version

perl -pi -e 's!define\s*PKGDIR.*!define PKGDIR  "%_datadir/%name"!' appFrame/appFrameConfig.h.in
perl -pi -e 's!define\s*DOCUMENT_DIR.*!define DOCUMENT_DIR "%_datadir/%name/"!' Ted/tedConfig.h.in

%build

mkdir lib

for cible in bitmap libreg tedPackage ind appUtil appFrame Ted; do
(
cd $cible
%configure --with-MOTIF
%make
)

done

%if 0
%make CONFIGURE_OPTIONS="--with-MOTIF prefix=%_prefix"
%make package
%endif

# (cd Ted && %make Ted)

%install

mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_datadir/%name/{ind,afm}

( cd tedPackage ; tar xvf TedBindist.tar )

cp -a tedPackage/afm/* %buildroot%_datadir/%name/afm/
cp -a tedPackage/ind/* %buildroot%_datadir/%name/ind/
cp -a tedPackage/Ted/TedDocument-en_US.rtf %buildroot%_datadir/%name/
install -m 755 Ted/Ted %buildroot%_bindir

install -m 644 -D %SOURCE10 %buildroot%_iconsdir/hicolor/16x16/apps/%name.png
install -m 644 -D %SOURCE11 %buildroot%_iconsdir/hicolor/32x32/apps/%name.png
install -m 644 -D %SOURCE12 %buildroot%_iconsdir/hicolor/48x48/apps/%name.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Ted
Comment=Ted, Rich Text Processor
Exec=%{_bindir}/Ted
Icon=%{name}
Terminal=false
Type=Application
Categories=Motif;Office;Wordprocessor;
EOF

%clean
rm -rf %buildroot

%if %mdkversion < 200900
%post
%{update_menus}
%{update_icon_cache hicolor}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_icon_cache hicolor}
%endif

%files
%defattr(-, root, root)
%doc README tedPackage/Ted/TedDocument-en_US.rtf
%_bindir/Ted
%_datadir/%name
%_iconsdir/hicolor/16x16/apps/%name.png
%_iconsdir/hicolor/32x32/apps/%name.png
%_iconsdir/hicolor/48x48/apps/%name.png
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.17-5mdv2009.0
+ Revision: 242857
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jul 20 2007 Adam Williamson <awilliamson@mandriva.com> 2.17-3mdv2008.0
+ Revision: 53985
- rebuild against new lesstif
- fd.o icons
- fix XDG categories
- drop old menu and X-Mandriva category


* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 21:58:33 (41239)
- rebuild, xdg menu

* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 21:24:30 (41238)
Import ted

* Sat May 14 2005 Olivier Thauvin <nanardon@mandriva.org> 2.17-1mdk
- 2.17

* Wed Apr 28 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.16-1mdk
- 2.16
- bzip source

* Tue Apr 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.11-1mdk
- make a spec file

